/* ----------------------------------------------------------------------------
 *         ATMEL Microcontroller Software Support 
 * ----------------------------------------------------------------------------
 * Copyright (c) 2008, Atmel Corporation
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer below.
 *
 * Atmel's name may not be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * DISCLAIMER: THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ----------------------------------------------------------------------------
 */

//-----------------------------------------------------------------------------
//         Headers
//-----------------------------------------------------------------------------

#include "font.h"

//-----------------------------------------------------------------------------
//         Local variables
//-----------------------------------------------------------------------------

/// Font data.
static const unsigned char pData[] = {

    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x70, 0x88, 0xD8, 0x88, 0xF8, 0xA8, 0x88, 0x70,
    0x70, 0xF8, 0xA8, 0xF8, 0x88, 0xD8, 0x88, 0x70,
    0x00, 0x50, 0xF8, 0xF8, 0xF8, 0x70, 0x20, 0x00,
    0x00, 0x20, 0x70, 0xF8, 0x70, 0x20, 0x00, 0x00,
    0x20, 0x70, 0x70, 0xD8, 0x70, 0x20, 0x20, 0x70,
    0x20, 0x70, 0xF8, 0xF8, 0x70, 0x20, 0x20, 0x70,
    0x00, 0x00, 0x20, 0x70, 0x70, 0x20, 0x00, 0x00,
    0xF8, 0xF8, 0xD8, 0x88, 0x88, 0xD8, 0xF8, 0xF8,
    0x00, 0x00, 0x20, 0x50, 0x50, 0x20, 0x00, 0x00,
    0xF8, 0xF8, 0xD8, 0xA8, 0xA8, 0xD8, 0xF8, 0xF8,
    0x38, 0x18, 0x28, 0x60, 0x90, 0x90, 0x60, 0x00,
    0x70, 0x88, 0x88, 0x70, 0x20, 0xF8, 0x20, 0x20,
    0x38, 0x28, 0x20, 0x20, 0x20, 0x60, 0xE0, 0x40,
    0x78, 0x48, 0x78, 0x48, 0x48, 0x58, 0xD8, 0xC0,
    0x20, 0xA8, 0x70, 0xD8, 0x70, 0xA8, 0x20, 0x00,
    0x40, 0x60, 0x70, 0x78, 0x70, 0x60, 0x40, 0x00,
    0x10, 0x30, 0x70, 0xF0, 0x70, 0x30, 0x10, 0x00,
    0x20, 0x70, 0xF8, 0x20, 0x20, 0xF8, 0x70, 0x20,
    0x50, 0x50, 0x50, 0x50, 0x50, 0x00, 0x50, 0x50,
    0x78, 0xA8, 0xA8, 0xA8, 0x68, 0x28, 0x28, 0x28,
    0x30, 0x48, 0x20, 0x50, 0x20, 0x90, 0x60, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF0, 0x00,
    0x20, 0x70, 0xF8, 0x20, 0xF8, 0x70, 0x20, 0xF8,
    0x20, 0x70, 0xF8, 0x20, 0x20, 0x20, 0x20, 0x20,
    0x20, 0x20, 0x20, 0x20, 0x20, 0xF8, 0x70, 0x20,
    0x00, 0x20, 0x30, 0xF8, 0x30, 0x20, 0x00, 0x00,
    0x00, 0x20, 0x60, 0xF8, 0x60, 0x20, 0x00, 0x00,
    0x00, 0x00, 0x60, 0x60, 0x78, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x50, 0xF8, 0x50, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x20, 0x70, 0xF8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xF8, 0x70, 0x20, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x00, 0x40,
    0x50, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x50, 0xF8, 0x50, 0xF8, 0x50, 0x00, 0x00,
    0x20, 0x78, 0x80, 0x60, 0x30, 0x08, 0xF0, 0x20,
    0x00, 0xC0, 0xC8, 0x10, 0x20, 0x40, 0x98, 0x18,
    0x60, 0x90, 0x90, 0x60, 0x68, 0x90, 0x90, 0x68,
    0x20, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0x20, 0x40, 0x40, 0x40, 0x40, 0x20, 0x10,
    0x40, 0x20, 0x10, 0x10, 0x10, 0x10, 0x20, 0x40,
    0x20, 0xA8, 0x70, 0xF8, 0x70, 0xA8, 0x20, 0x00,
    0x00, 0x20, 0x20, 0xF8, 0x20, 0x20, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0xC0,
    0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x60,
    0x08, 0x10, 0x10, 0x20, 0x20, 0x40, 0x40, 0x80,
    0x70, 0x88, 0x98, 0xA8, 0xA8, 0xC8, 0x88, 0x70,
    0x20, 0x60, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70,
    0x70, 0x88, 0x08, 0x08, 0x10, 0x20, 0x40, 0xF8,
    0x70, 0x88, 0x08, 0x30, 0x08, 0x08, 0x88, 0x70,
    0x10, 0x30, 0x50, 0x90, 0xF8, 0x10, 0x10, 0x10,
    0xF8, 0x80, 0x80, 0xF0, 0x08, 0x08, 0x88, 0x70,
    0x70, 0x88, 0x80, 0xF0, 0x88, 0x88, 0x88, 0x70,
    0xF8, 0x08, 0x08, 0x10, 0x20, 0x20, 0x20, 0x20,
    0x70, 0x88, 0x88, 0x70, 0x88, 0x88, 0x88, 0x70,
    0x70, 0x88, 0x88, 0x78, 0x08, 0x08, 0x88, 0x70,
    0x00, 0x60, 0x60, 0x00, 0x00, 0x60, 0x60, 0x00,
    0x00, 0x60, 0x60, 0x00, 0x00, 0x60, 0x60, 0xC0,
    0x10, 0x20, 0x40, 0x80, 0x40, 0x20, 0x10, 0x00,
    0x00, 0x00, 0xF0, 0x00, 0xF0, 0x00, 0x00, 0x00,
    0x40, 0x20, 0x10, 0x08, 0x10, 0x20, 0x40, 0x00,
    0x70, 0x88, 0x08, 0x10, 0x20, 0x20, 0x00, 0x20,
    0x70, 0x88, 0xB8, 0xA8, 0xA8, 0xB8, 0x80, 0x78,
    0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x88, 0x88,
    0xF0, 0x88, 0x88, 0xF0, 0x88, 0x88, 0x88, 0xF0,
    0x70, 0x88, 0x80, 0x80, 0x80, 0x80, 0x88, 0x70,
    0xF0, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0xF0,
    0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0x80, 0xF8,
    0xF8, 0x80, 0x80, 0xF0, 0x80, 0x80, 0x80, 0x80,
    0x70, 0x88, 0x80, 0xB8, 0x88, 0x88, 0x88, 0x70,
    0x88, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x88, 0x88,
    0x70, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x70,
    0x10, 0x10, 0x10, 0x10, 0x10, 0x90, 0x90, 0x60,
    0x88, 0x90, 0xA0, 0xC0, 0xC0, 0xA0, 0x90, 0x88,
    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xF8,
    0x88, 0xD8, 0xA8, 0xA8, 0xA8, 0x88, 0x88, 0x88,
    0x88, 0xC8, 0xC8, 0xA8, 0xA8, 0x98, 0x98, 0x88,
    0x70, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70,
    0xF0, 0x88, 0x88, 0xF0, 0x80, 0x80, 0x80, 0x80,
    0x70, 0x88, 0x88, 0x88, 0x88, 0xA8, 0x90, 0x68,
    0xF0, 0x88, 0x88, 0xF0, 0xC0, 0xA0, 0x90, 0x88,
    0x70, 0x88, 0x80, 0x70, 0x08, 0x08, 0x88, 0x70,
    0xF8, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
    0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x50, 0x20,
    0x88, 0x88, 0x88, 0xA8, 0xA8, 0xA8, 0xD8, 0x88,
    0x88, 0x88, 0x50, 0x20, 0x20, 0x50, 0x88, 0x88,
    0x88, 0x88, 0x50, 0x20, 0x20, 0x20, 0x20, 0x20,
    0xF8, 0x08, 0x10, 0x20, 0x20, 0x40, 0x80, 0xF8,
    0x60, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x60,
    0x80, 0x40, 0x40, 0x20, 0x20, 0x10, 0x10, 0x08,
    0x60, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x60,
    0x20, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8,
    0x40, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x70, 0x08, 0x78, 0x88, 0x78, 0x00,
    0x80, 0x80, 0xF0, 0x88, 0x88, 0x88, 0xF0, 0x00,
    0x00, 0x00, 0x70, 0x88, 0x80, 0x88, 0x70, 0x00,
    0x08, 0x08, 0x78, 0x88, 0x88, 0x88, 0x78, 0x00,
    0x00, 0x00, 0x70, 0x88, 0xF8, 0x80, 0x78, 0x00,
    0x30, 0x40, 0xE0, 0x40, 0x40, 0x40, 0x40, 0x00,
    0x00, 0x00, 0x78, 0x88, 0x88, 0x78, 0x08, 0xF0,
    0x80, 0x80, 0xF0, 0x88, 0x88, 0x88, 0x88, 0x00,
    0x20, 0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00,
    0x20, 0x00, 0x20, 0x20, 0x20, 0x20, 0xA0, 0x40,
    0x80, 0x80, 0x90, 0xA0, 0xC0, 0xA0, 0x90, 0x00,
    0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00,
    0x00, 0x00, 0x50, 0xA8, 0xA8, 0x88, 0x88, 0x00,
    0x00, 0x00, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x00,
    0x00, 0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00,
    0x00, 0x00, 0xE0, 0x90, 0x90, 0xE0, 0x80, 0x80,
    0x00, 0x00, 0x70, 0x90, 0x90, 0x70, 0x10, 0x10,
    0x00, 0x00, 0xB0, 0xC0, 0x80, 0x80, 0x80, 0x00,
    0x00, 0x00, 0x78, 0x80, 0x70, 0x08, 0xF0, 0x00,
    0x40, 0x40, 0xE0, 0x40, 0x40, 0x40, 0x60, 0x00,
    0x00, 0x00, 0x88, 0x88, 0x88, 0x88, 0x70, 0x00,
    0x00, 0x00, 0x88, 0x88, 0x50, 0x50, 0x20, 0x00,
    0x00, 0x00, 0x88, 0x88, 0xA8, 0xA8, 0x50, 0x00,
    0x00, 0x00, 0x88, 0x50, 0x20, 0x50, 0x88, 0x00,
    0x00, 0x00, 0x88, 0x88, 0x88, 0x78, 0x08, 0xF0,
    0x00, 0x00, 0xF8, 0x10, 0x20, 0x40, 0xF8, 0x00,
    0x10, 0x20, 0x20, 0x40, 0x40, 0x20, 0x20, 0x10,
    0x20, 0x20, 0x20, 0x00, 0x00, 0x20, 0x20, 0x20,
    0x40, 0x20, 0x20, 0x10, 0x10, 0x20, 0x20, 0x40,
    0x50, 0xA0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x60, 0x60, 0x90, 0x90, 0xF0,
    0x70, 0x88, 0x80, 0x80, 0x88, 0x70, 0x20, 0x60,
    0x50, 0x00, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x10, 0x20, 0x70, 0x88, 0xF8, 0x80, 0x88, 0x70,
    0x30, 0x48, 0x70, 0x08, 0x78, 0x88, 0x88, 0x78,
    0x50, 0x00, 0x70, 0x08, 0x78, 0x88, 0x88, 0x78,
    0x40, 0x20, 0x70, 0x08, 0x78, 0x88, 0x88, 0x78,
    0x20, 0x00, 0x70, 0x08, 0x78, 0x88, 0x88, 0x78,
    0x70, 0x88, 0x80, 0x80, 0x88, 0x70, 0x20, 0x60,
    0x20, 0x50, 0x70, 0x88, 0xF8, 0x80, 0x88, 0x70,
    0x50, 0x00, 0x70, 0x88, 0xF8, 0x80, 0x88, 0x70,
    0x40, 0x20, 0x70, 0x88, 0xF8, 0x80, 0x88, 0x70,
    0x50, 0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
    0x20, 0x50, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
    0x40, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
    0x50, 0x00, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88,
    0x20, 0x00, 0x70, 0x88, 0x88, 0xF8, 0x88, 0x88,
    0x20, 0x40, 0xF8, 0x80, 0xE0, 0x80, 0x80, 0xF8,
    0x00, 0x00, 0x50, 0xA8, 0x38, 0x60, 0xA8, 0x70,
    0x78, 0xA0, 0xA0, 0xF0, 0xA0, 0xA0, 0xA0, 0xB8,
    0x20, 0x50, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x88, 0x00, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x40, 0x20, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x20, 0x50, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x40, 0x20, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x50, 0x00, 0x88, 0x50, 0x20, 0x20, 0x20, 0x20,
    0x88, 0x00, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x50, 0x00, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x20, 0x70, 0xA8, 0xA0, 0xA0, 0xA8, 0x70, 0x20,
    0x70, 0x88, 0x80, 0x40, 0x70, 0x40, 0x88, 0xF0,
    0x88, 0x50, 0x20, 0x70, 0x20, 0x70, 0x20, 0x20,
    0xF0, 0x88, 0x88, 0xF0, 0xA0, 0xF0, 0xA8, 0xB0,
    0x30, 0x28, 0x20, 0x70, 0x20, 0xA0, 0xA0, 0x40,
    0x10, 0x20, 0x70, 0x88, 0x78, 0x88, 0x88, 0x78,
    0x10, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
    0x10, 0x20, 0x70, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x10, 0x20, 0x88, 0x88, 0x88, 0x88, 0x88, 0x70,
    0x50, 0xA8, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x88,
    0x50, 0xA8, 0x88, 0xC8, 0xA8, 0xA8, 0x98, 0x88,
    0x00, 0x70, 0x88, 0x78, 0x88, 0x78, 0x00, 0xF8,
    0x00, 0x70, 0x88, 0x88, 0x88, 0x70, 0x00, 0xF8,
    0x20, 0x00, 0x20, 0x20, 0x40, 0x88, 0x88, 0x70,
    0x00, 0x00, 0x00, 0x78, 0x40, 0x40, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xF0, 0x10, 0x10, 0x00, 0x00,
    0x40, 0xC8, 0x50, 0xE0, 0x50, 0xA8, 0x10, 0x38,
    0x40, 0xC8, 0x50, 0xE0, 0x50, 0xD0, 0x78, 0x10,
    0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60, 0x60,
    0x00, 0x10, 0x28, 0x50, 0xA0, 0x50, 0x28, 0x10,
    0x00, 0x40, 0xA0, 0x50, 0x28, 0x50, 0xA0, 0x40,
    0x20, 0x90, 0x48, 0x20, 0x90, 0x48, 0x20, 0x90,
    0x56, 0xAE, 0x51, 0xAC, 0x55, 0xA8, 0x50, 0xA8,
    0x68, 0xD8, 0xB0, 0x68, 0xD8, 0xB6, 0x6F, 0xD8,
    0x20, 0x20, 0x27, 0x22, 0x23, 0x22, 0x24, 0x20,
    0x20, 0x22, 0x27, 0xE2, 0x25, 0x23, 0x24, 0x20,
    0x23, 0x24, 0xE5, 0x23, 0xE4, 0x27, 0x23, 0x20,
    0x21, 0x25, 0x24, 0xE5, 0x23, 0x24, 0x23, 0x20,
    0x01, 0x05, 0x04, 0xFE, 0x2D, 0x28, 0x2F, 0x28,
    0x06, 0x03, 0xE0, 0x20, 0xE0, 0x20, 0x23, 0x20,
    0x2F, 0x2D, 0xE8, 0x0E, 0xE9, 0x2C, 0x28, 0x28,
    0x2F, 0x2B, 0x28, 0x2F, 0x2F, 0x28, 0x28, 0x28,
    0x03, 0x00, 0x06, 0xFC, 0x0A, 0xED, 0x2B, 0x28,
    0x2C, 0x2E, 0x2D, 0xE8, 0x08, 0xF8, 0x00, 0x00,
    0x29, 0x28, 0x28, 0xF8, 0x03, 0x01, 0x00, 0x00,
    0x22, 0xE0, 0x20, 0xE0, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x05, 0xE3, 0x20, 0x20, 0x20, 0x20,
    0x20, 0x20, 0x20, 0x3E, 0x04, 0x01, 0x04, 0x00,
    0x21, 0x20, 0x20, 0xF8, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x02, 0x00, 0xF8, 0x20, 0x23, 0x21, 0x20,
    0x27, 0x24, 0x20, 0x38, 0x20, 0x20, 0x20, 0x20,
    0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00,
    0x20, 0x20, 0x20, 0xF8, 0x20, 0x20, 0x20, 0x20,
    0x20, 0x24, 0x38, 0x20, 0x38, 0x20, 0x20, 0x20,
    0xA0, 0xA0, 0xA2, 0xB8, 0xA0, 0xA0, 0xA2, 0xA0,
    0xA0, 0xA4, 0xA0, 0xB8, 0x80, 0xFF, 0x06, 0x00,
    0x07, 0x06, 0x04, 0xFD, 0x80, 0xBF, 0xA0, 0xA0,
    0x50, 0x53, 0x50, 0xD9, 0x05, 0xF9, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xF8, 0x00, 0xD8, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x58, 0x40, 0x58, 0x50, 0x50,
    0x00, 0x00, 0x00, 0xF8, 0x00, 0xF8, 0x00, 0x00,
    0x50, 0x50, 0x50, 0xD8, 0x00, 0xD8, 0x50, 0x50,
    0x20, 0x20, 0x20, 0xF8, 0x00, 0xF8, 0x00, 0x00,
    0x50, 0x50, 0x50, 0x50, 0xF8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xF8, 0x00, 0xF8, 0x20, 0x20,
    0x00, 0x00, 0x00, 0xF8, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0x78, 0x00, 0x00, 0x00, 0x00,
    0x20, 0x38, 0x20, 0x38, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x38, 0x20, 0x38, 0x20, 0x20,
    0x00, 0x00, 0x00, 0x78, 0x50, 0x50, 0x50, 0x50,
    0x50, 0x50, 0x50, 0xD8, 0x50, 0x50, 0x50, 0x50,
    0x20, 0x20, 0xF8, 0x00, 0xF8, 0x20, 0x20, 0x20,
    0x20, 0x20, 0x20, 0xE0, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x38, 0x20, 0x20, 0x20, 0x20,
    0xF8, 0xF8, 0xF8, 0xF8, 0xF8, 0xF8, 0xF8, 0xF8,
    0x00, 0x00, 0x00, 0xF8, 0xF8, 0xF8, 0xF8, 0xF8,
    0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0,
    0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38,
    0xF8, 0xF8, 0xF8, 0xF8, 0xF8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x68, 0x90, 0x68, 0x00, 0x00,
    0x60, 0x90, 0x90, 0xE0, 0x90, 0x88, 0xC8, 0xB0,
    0xF8, 0x88, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
    0xF8, 0x50, 0x50, 0x50, 0x50, 0x50, 0x50, 0x58,
    0xF8, 0x88, 0x80, 0x40, 0x20, 0x40, 0x88, 0xF8,
    0x00, 0x00, 0x00, 0x00, 0x78, 0x90, 0x90, 0x60,
    0x00, 0x00, 0x00, 0x88, 0x88, 0x98, 0xE8, 0x80,
    0x00, 0x00, 0x00, 0x58, 0xA0, 0x20, 0x20, 0x20,
    0xF8, 0x70, 0xA8, 0xA8, 0xA8, 0xA8, 0x70, 0xF8,
    0x70, 0x88, 0x88, 0xF8, 0x88, 0x88, 0x88, 0x70,
    0x70, 0x88, 0x88, 0x88, 0x50, 0x50, 0x50, 0xD8,
    0x70, 0x88, 0x80, 0x40, 0x70, 0x88, 0x88, 0x70,
    0x00, 0x00, 0x00, 0x88, 0xD8, 0xA8, 0xD8, 0x88,
    0x00, 0x00, 0x00, 0x70, 0x98, 0xA8, 0xC8, 0x70,
    0x38, 0x40, 0x80, 0xE0, 0x80, 0x80, 0x40, 0x38,
    0x70, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,
    0x00, 0x00, 0xF8, 0x00, 0xF8, 0x00, 0xF8, 0x00,
    0x00, 0x20, 0x70, 0x20, 0x20, 0x00, 0xF8, 0x00,
    0x40, 0x20, 0x10, 0x08, 0x10, 0x20, 0x40, 0xF8,
    0x10, 0x20, 0x40, 0x80, 0x40, 0x20, 0x10, 0xF8,
    0x10, 0x28, 0x28, 0x20, 0x20, 0x20, 0x20, 0x20,
    0x20, 0x20, 0x20, 0x20, 0x20, 0xA0, 0xA0, 0x40,
    0x00, 0x20, 0x00, 0x70, 0x00, 0x20, 0x00, 0x00,
    0x00, 0x50, 0xA8, 0x00, 0x50, 0xA8, 0x00, 0x00,
    0x20, 0x50, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x70, 0x70, 0x70, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x30, 0x30, 0x00, 0x00, 0x00, 0x00,
    0x38, 0x20, 0x20, 0x20, 0x20, 0xA0, 0x60, 0x20,
    0x40, 0xA0, 0xA0, 0xA0, 0x00, 0x00, 0x00, 0x00,
    0x40, 0xA0, 0x40, 0xE0, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

//-----------------------------------------------------------------------------
//         Global variables
//-----------------------------------------------------------------------------

const Font gFont = {5, 8, 0, 255, pData};

