/* ----------------------------------------------------------------------------
 *         ATMEL Microcontroller Software Support 
 * ----------------------------------------------------------------------------
 * Copyright (c) 2008, Atmel Corporation
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer below.
 *
 * Atmel's name may not be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * DISCLAIMER: THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ----------------------------------------------------------------------------
 */

#ifndef HIDMSDDDRIVERDESCRIPTORS_H
#define HIDMSDDDRIVERDESCRIPTORS_H

//-----------------------------------------------------------------------------
//         Headers
//-----------------------------------------------------------------------------

#include <board.h>
#include <usb/device/core/USBDDriverDescriptors.h>

//-----------------------------------------------------------------------------
//         Definitions
//-----------------------------------------------------------------------------

/// Number of interfaces of the device
#define HIDMSDDDriverDescriptors_NUMINTERFACE       2

#define HIDD_Descriptors_INTERFACENUM               0
/// Address of the HID interrupt IN endpoint.
#define HIDD_Descriptors_INTERRUPTIN                1
/// Address of the HID interrupt OUT endpoint.
#define HIDD_Descriptors_INTERRUPTOUT               2

#define MSDD_Descriptors_INTERFACENUM               1
/// Address of the Mass Storage bulk-out endpoint.
#define MSDD_Descriptors_BULKOUT                    4
/// Address of the Mass Storage bulk-in endpoint.
#define MSDD_Descriptors_BULKIN                     5


//-----------------------------------------------------------------------------
//         Exported variables
//-----------------------------------------------------------------------------

extern const USBDDriverDescriptors hidmsddDriverDescriptors;

#endif //#ifndef HIDMSDDDRIVERDESCRIPTORS_H
